Bug 1834844 - Introduce module Obsoletes and EOL
Summary: Introduce module Obsoletes and EOL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Curlej
QA Contact:
URL:
Whiteboard:
: 1834843 (view as bug list)
Depends On: 1863048 1863049
Blocks: F36Changes
TreeView+ depends on / blocked
 
Reported: 2020-05-12 14:10 UTC by Ben Cotton
Modified: 2022-05-10 14:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-10 14:41:45 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-05-12 14:10:22 UTC
This is a tracking bug for Change: Introduce module Obsoletes and EOL
For more details, see: https://fedoraproject.org/wiki/Changes/Module_Obsoletes_and_EOL

Fix Fedora upgradability issues when upgrading systems with module streams enabled.

Comment 1 Ben Cotton 2020-08-11 14:34:54 UTC
*** Bug 1834843 has been marked as a duplicate of this bug. ***

Comment 2 Ben Cotton 2020-08-11 14:42:35 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 3 Ben Cotton 2020-08-27 01:12:03 UTC
Yesterday we reached the Code complete (100% code complete) deadline for Fedora 33 Changes. If your Change is complete, please set this tracking bug to ON_QA. If you need to defer this Change to Fedora 34, please let NEEDINFO me.

As a reminder, we are now in the Beta Freeze. If you need to land package updates, please propose it as a Freeze Exception at https://qa.fedoraproject.org/blockerbugs/propose_bug

Comment 4 Daniel Mach 2020-08-27 07:57:30 UTC
Ben,
we want to move the Change to Fedora 34.

Please note we're still planning to deliver the code to Fedora 33,
but it's not going used before Fedora 34, therefore nothing changes for the Fedora 33 users.

Comment 5 Ben Cotton 2020-08-27 14:27:44 UTC
Understood. Trackers and wiki page updated.

Comment 6 Miro Hrončok 2020-11-25 14:20:31 UTC
Update: The required libmodulemd update was released on Friday. https://github.com/fedora-modularity/libmodulemd/releases/tag/libmodulemd-2.10.0

dnf changes yet to follow.

Comment 8 Ben Cotton 2021-08-10 12:32:52 UTC
Today is the "Code complete (testable)" deadline in the Fedora Linux 35 release schedule:
https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

If this Change is complete enough to be tested, please indicate this by setting this bug to the MODIFIED status. (If it is 100% complete, you can set it to ON_QA).

If you wish to defer this Change to Fedora Linux 36, please needinfo bcotton@redhat.com.

Comment 9 Daniel Mach 2021-08-10 16:06:11 UTC
Martin,
any idea what's the status?

Sorry for not assigning this to you earlier.

Comment 10 Martin Curlej 2021-09-15 06:15:05 UTC
Hello All,

sorry for the delayed responsed. Unfortunally the Modularity team was not able to fulfill all our task regarding the obsoletes implementation in the Fedore pipeline. This is now planed for Fedora 36. We were focusing mostly on implementation and testing of the new v3 packager module file format. This fixes a major design flaw in Modularity. The new format is now available in Fedora and RHEL and was announced on devel-list. Again sorry for the delayed response and in the future we will inform everyone about delays ahead of times.

Comment 11 Ben Cotton 2022-02-08 21:07:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 36 development cycle.
Changing version to 36.

Comment 12 Ben Cotton 2022-02-08 21:15:06 UTC
Today we reached the Code Complete (testable) milestone in the F36 schedule: https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

All code for this change should be complete enough for testing. You can indicate this by setting the bug status to MODIFIED. (If the code is fully complete, you can go ahead and set it to ON_QA.)

If you need to defer this Change to F37, please needinfo bcotton.

Comment 13 Filip Valder 2022-02-14 10:17:21 UTC
Module EOLing and obsoletes have been introduced in Rawhide and are ready to appear in F36, see: 
https://fedoraproject.org/wiki/Releases/36/ChangeSet#Introduce_module_Obsoletes_and_EOL

Comment 14 Martin Curlej 2022-02-14 10:22:26 UTC
All the code changes have been done. So no other work is necessary. The obsolete metadata now can be available in the fedora repositories.

Comment 15 Ben Cotton 2022-05-10 14:41:45 UTC
F36 was released today. If this Change did not land in the release, please notify bcotton as soon as possible.


Note You need to log in before you can comment on or make changes to this bug.